# Supersingular Isogeny Key Encapsulation

Repository keeps simple Go's implementation of 
SIKE based on field p503 (Round2).

## Speed

```
> go test -run=. -bench=. -benchmem  
goos: linux
goarch: amd64
pkg: github.com/henrydcase/go-sike-p503
BenchmarkKeygen-4            100      12235566 ns/op           0 B/op          0 allocs/op
BenchmarkEncaps-4            100      20430183 ns/op           0 B/op          0 allocs/op
BenchmarkDecaps-4             50      23946060 ns/op           2 B/op          0 allocs/op
PASS
ok      github.com/henrydcase/go-sike-p503  13.725s
```